> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/template-extraction/template-extraction/create-classification-cache.md).

# Create Classification Cache

Accelerate the classification process with SDK cache data for efficient template matching. Learn how to speed up file classification against multiple forms. Apryse Template Extraction SDK on .NET uses

To speed up the classification of an input file against many template forms, the SDK provides a way to create a cache data that will be used if present to classify the correct template fast.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
      var templatesFolder = "./templates"; 

      using TemplatesCollection templates = new TemplatesCollection.Builder() 
            .FromSourceFolder(templatesFolder) 
            .Build(); 

      using TemplatesCollectionCache cache = new TemplatesCollectionCache.Builder() 
            .SetTemplatesSource(templates) 
            .SetRuntimeFolder("./runtimes") 
            .SetLicense(["", ""]) 
            .Build(); 

      Result<BuildCacheResult> result = cache.Build(); 
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
      String templatesFolder = "./templates";
      String[] license = new String[2]; 
      license[0] = "";
      license[1] = "";

      TemplatesCollection templates = new TemplatesCollection.Builder() 
            .fromSourceFolder(templatesFolder) 
            .build(); 

      TemplatesCollectionCache cache = new TemplatesCollectionCache.Builder() 
            .setTemplatesSource(templates) 
            .setRuntimeFolder("./runtimes") 
            .setLicense(license) 
            .build(); 

      Result<BuildCacheResult> result = cache.build(null);
      
      result.dispose();
      cache.dispose();
      templates.dispose();

```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/template-extraction/template-extraction/create-classification-cache.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
